body {
    font-size: 14px;
    overflow-x: hidden;
}

body.menu-on {
    overflow: hidden;
}

.main-menu-link::after {
    content: '';
    display: block;
    position: absolute;
    bottom: 3px;
    left: 0;
    right: 100%;
    height: 3px;
    background-color: #fff;
}

.main-menu-link:hover::after {
    right: 0;
    transition: right 300ms ease;
}

.price-info {
    border-bottom: 1px solid rgba(0,0,0,.1490196078);
}

.price-in,
.price-out {
    font-weight: bold;
}

.slider {
    min-width: 1px;
    position: relative;
    overflow: hidden;
    z-index: 5;
}

.header-container {
    z-index: 9999;
}

.canvasJS-wrapper {
    transition: opacity 300ms ease;
}

.canvasJS-wrapper.loading {
    opacity: 0.1;
}

.lato-500 {
    font-family: Roboto, sans-serif !important;
    font-weight: 500;
    font-style: normal;
}

.inter-400 {
    font-family: Inter, sans-serif !important;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.gold-button {
    min-width: 180px;
    background: linear-gradient(90deg, #d4af37, #f5d76e);
    color: #fff;
    padding: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    border-radius: 999px;
}

.gold-button:hover {
    background: linear-gradient(90deg, #f5d76e, #d4af37);
}

.silver-button {
    min-width: 180px;
    background: linear-gradient(90deg, #a7a7a7, #e0e0e0);
    color: #fff;
    padding: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    border-radius: 999px;
}

.silver-button:hover {
    background: linear-gradient(90deg, #e0e0e0, #a7a7a7);
}

.submenu-container {
    left: calc(50% - 150px);
}

.sans-serif-logo-name {
    font-family: "Google Sans",Inter, sans-serif;
    color: #fff;
    font-size: 20px;
    text-transform: uppercase;
}

.serif-logo-name {
    font-family: "Fraunces",serif;
    color: #fff;
    font-size: 25px;
    text-transform: uppercase;
}

/* MOBILE FIRST DEFAULT STYLES */
#footer {
    background-color: #1a2745;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    padding: 30px 15px;
    margin-top: 50px;
}

#footer .grid-info {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.info-company, 
.address {
    width: 100%;
}

.info-company {
    align-items: center;
}

.info-company, .about-project, .policy, .hotline, .address, .support, .connect-us {
    display: flex;
    flex-direction: column;
}

.address {
    display: flex;
}

.title {
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 8px;
    font-family: Inter, sans-serif !important;
}

.description.link {
    cursor: pointer;
    font-size: 14px;
    font-weight: 400;
    color: #e0e0e0 !important;
    margin-bottom: 4px;
    font-family: Inter, sans-serif !important;
}

.description.link:hover {
    text-decoration: underline;
}

.footer-logo-img {
    width: 200px;
}

.open-close-menu {
    width: 40px;
    height: 40px;
    background-image: url(../images/menu-sprite.png);
    background-size: 40px;
    background-repeat: no-repeat;
    background-position: 0 -47px;
    text-indent: -9999px;
    position: absolute;
    z-index: 10;
    top: calc(50% - 15px);
    left: 10px;
    transform: translateY(-50%);
    display: block;
}

.open-close-menu.openned {
    background-position: 0 0;
}

/* Mobile Menu is flex by default on mobile to allow transitions */
.mobile-menu {
    background-color: #efefef;
    padding: 20px;
    position: fixed;
    left: 0;
    right: 0;
    top: 80px;
    bottom: 0;
    z-index: 999;
    transform: translateX(-100%);
    --link-color: #593500;
    transition: transform 300ms ease;
    overflow-y: auto;
}

.mobile-menu-container {
    display: flex;
    gap: 50px;
    flex-direction: column;
}

.mobile-menu.openned {
    transform: translateX(0);
}

.mobile-price-info-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 1024px;
}

.mobile-price-info {
    overflow: hidden;
    background-color: #fff;
}

.price-info {
    display: none;
}

.mobile-menu-item {
    font-family: Roboto, sans-serif;
    font-optical-sizing: auto;
    font-weight: 350;
    font-style: normal;
    font-size: 35px;
}

.mobile-menu-wrapper,
.mobile-menu-footer {
    background-color: #fff;
    box-shadow: 0 2px 6px #0d0a2c14;
}

.mobile-menu-item a {
    display: block;
    padding: 20px 10px;
    color: var(--link-color);
}

.mobile-menu-footer a {
    display: block;
    padding: 10px;
    font-size: 20px;
    font-weight: 350;
    color: var(--link-color);
}

.header-menu-container {
    z-index: 5;
    position: relative;
}

.desktop-header-menu {
    display: none;
}

.menu-right {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
}

.menu-left {
    gap: 0;
}

.mobile-header-menu .menu-left {
    width: 268px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.menu-left .main-logo-img {
    height: 70px;
}

.emtpy-div {
    height: 112px;
}

.pc-product-name {
    width: 100%;
    border: 1px solid rgba(0, 0, 0, 0.3);
    padding: 5px;
    border-radius: 5px;
}

/* DESKTOP UPGRADES */
@media (min-width: 1280px) {
    .mobile-header-menu .menu-left {
        width: 270px;
    }

    .desktop-header-menu  {
        display: flex;
    }

    .mobile-header-menu {
        display: none;
    }

    .open-close-menu {
        display: none;
    }

    .mobile-menu {
        display: none;
    }

    .mobile-header-menu {
        display: none;
    }
}

@media (min-width: 768px) {
    #footer .grid-info {
        flex-direction: row;
        justify-content: space-between;
        align-items: start;
    }

    #footer {
        padding: 45px 10%;
    }

    .info-company, .address {
        width: 450px;
        align-items: start;
    }

    .info-company, .about-project, .policy, .hotline, .address, .support, .connect-us {
        align-items: start;
    }

    .desktop-header-menu .menu-left {
        gap: 40px;
    }
}

@media (min-width: 1280px) {
    .price-info {
        display: flex;
    }
    .mobile-price-info {
        display: none;
    }
}
